Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.builders
Interface CommonObjectBuilder

All Known Implementing Classes:
  CommonObjectBuilderImpl

    public interface CommonObjectBuilder

Interface for all CommonObjectBuilders Every class that implement this interface is able to create all the common part of a kmehr request Default impl : `CommonObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

Method Summary
`Author` | `createAuthor(List<HcParty> list)` Creates the author part of the message
`String` | `createKmehrID()` Creates the id of the kmehr message
`TherapeuticLink` | `createTherapeuticLink(org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, Patient patient, String hcpType, String therLinkType, String comment, HcParty concernedHcp)` Creates a therapeutic link
`TherapeuticLink` | `createTherapeuticLink(Patient patient, String hcpType, String therLinkType, Date startDate, Date endDate, String comment, HcParty concernedHcp)` Deprecated.

Method Detail

### createTherapeuticLink

    @Deprecated
    TherapeuticLink createTherapeuticLink(Patient patient,
                                                     String hcpType,
                                                     String therLinkType,
                                                     Date startDate,
                                                     Date endDate,
                                                     String comment,
                                                     HcParty concernedHcp)
                                          throws TechnicalConnectorException

  Deprecated.

  Creates a therapeutic link

  Parameters:
    `patient` - the concerned patient
    `hcpType` - the type of the professional concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `startDate` - the start date
    `endDate` - (optional) the end date
    `comment` - (optional) a comment about the therapeutic link
    `concernedHcp` - The HCP concerned by the link. If it's null, then we will use session info by default
  Returns:
  Throws:
    `TechnicalConnectorException` - Deprecated : replaced by the other function

### createTherapeuticLink

    TherapeuticLink createTherapeuticLink(org.joda.time.DateTime startDate,
                                          org.joda.time.DateTime endDate,
                                          Patient patient,
                                          String hcpType,
                                          String therLinkType,
                                          String comment,
                                          HcParty concernedHcp)
                                          throws TechnicalConnectorException

  Creates a therapeutic link

  Parameters:
    `patient` - the concerned patient
    `hcpType` - the type of the professional concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `startDate` - the start date
    `endDate` - (optional) the end date
    `comment` - (optional) a comment about the therapeutic link
    `concernedHcp` - The HCP concerned by the link. If it's null, then we will use session info by default
  Returns:
  Throws:
    `TechnicalConnectorException`

### createAuthor

    Author createAuthor(List<HcParty> list)
                        throws TechnicalConnectorException

  Creates the author part of the message

  Parameters:
    `list` - list of professionals to add in the author part
  Returns:
  Throws:
    `TechnicalConnectorException`

### createKmehrID

    String createKmehrID()
                         throws TechnicalConnectorException

  Creates the id of the kmehr message

  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.